function time = rheodyne232objreadperiod(serialObject)
% RHEODYNE232OBJREADPERIOD gets the Rheodyne timer period
% time = rheodyne232objreadperiod(serialObject) returns the Rheodyne valve
% timer period in seconds.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% looks in the serial object for the timer
if ~isfield(serialObject.UserData, 'timerObject') || ~isa(serialObject.UserData.timerObject, 'timer') || ~isscalar(serialObject.UserData.timerObject) || ~isvalid(serialObject.UserData.timerObject)
    % error
    error('Timer in user data of serial object is not present or is invalid.')
end

% gets it (note the use of the get notation because timers are stupid)
time = get(serialObject.UserData.timerObject, 'Period');