function rheodyne232objwritevalveprofile(serialObject, valveProfile)
% RHEODYNE232OBJWRITEVALVEPROFILE changes the valve profile (reset req.)
% rheodyne232objwritevalveprofile(serialObject, valveProfile) changes the
% profile of the valve where the profile is a number from 0-255.  It is not
% known what the valve profile actually is.

% checks the number of arguments
error(nargchk(2, 2, nargin))

% checks the baud rate supplied
if ~isnumeric(valveProfile) || ~isscalar(valveProfile) || valveProfile ~= uint8(valveProfile)
    % errors
    error('Invalid valve profile value - must be an unsigned integer from 0 to 255.')
end

% sends the command
rheodyne232objcomm(serialObject, ['O', dec2hex(valveProfile)]);